# Deprecated API

## Contents

- Methods

Deprecated Methods
Method
Description
org.apache.sling.testing.resourceresolver.MockResourceResolver.addFindResourceHandler(MockFindResourcesHandler)
Please use `MockFindQueryResources.addFindResourceHandler(ResourceResolver, MockFindResourcesHandler)`
org.apache.sling.testing.resourceresolver.MockResourceResolver.addQueryResourceHandler(MockQueryResourceHandler)
Please use `MockFindQueryResources.addQueryResourceHandler(ResourceResolver, MockQueryResourceHandler)`
org.apache.sling.testing.resourceresolver.MockResourceResolver.map(HttpServletRequest, String)
use `MockResourceResolver.map(jakarta.servlet.http.HttpServletRequest, String)` instead
org.apache.sling.testing.resourceresolver.MockResourceResolver.resolve(HttpServletRequest)
as of ResourceResolver 2.0.4, use `MockResourceResolver.resolve(HttpServletRequest, String)` instead.
org.apache.sling.testing.resourceresolver.MockResourceResolver.resolve(HttpServletRequest, String)
use `MockResourceResolver.resolve(jakarta.servlet.http.HttpServletRequest, String)` instead